/**数组对象去重
 * @param arr 原数组
 */
export function mySet(arr: any[]) {
  let newArr: any[] = [];
  arr.forEach((item) => {
    if (newArr.length === 0) {
      newArr.push(item);
    }
    if (newArr.length > 0 && newArr.every((a) => JSON.stringify(a) !== JSON.stringify(item))) {
      newArr.push(item);
    }
  });
  return newArr;
}
